package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouAppList;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 快手-应用列表
 * @Author: jeecg-boot
 * @Date: 2019-07-26
 * @Version: V1.0
 */
public interface IKuaiShouAppListService extends IService<KuaiShouAppList> {

    KuaiShouAppList getAppInfo(Long accountId, Long appId);

    List<KuaiShouAppList> getAppListByAccountId(Long accountId);

    List<KuaiShouAppList> getAppNames(JSONArray appIds);

    KuaiShouAppList getAppListByAppId(Long appId);
}
